#include <iostream>
using namespace std;
int main()
{
    long long a,b,i=0;
    long long broj[100];
    cin>>a;
    cin>>b;
    while(b>0 && a>0)
    {
        if(a%10 > b%10)
        {
            broj[i]=a%10;
        }
        else if(b%10 > a%10)
        {
            broj[i]=b%10;
        }
        else
        {
            broj[i]=b%10;
            broj[i+1]=b%10;
            i++;
        }
        a/=10;
        b/=10;
        i++;
    }
    if(b==0)
    {
        while(a>0)
        {
            broj[i]=a%10;
            i++;
            a/=10;
        }
    }
    else
    {
        while(b>0)
        {
            broj[i]=b%10;
            i++;
            b/=10;
        }
    }
    for(int j=i-1;j>-1;j--)
    {
        cout<<broj[j];
    }
    return 0;
}